using System;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            string query = "SELECT CustomerID FROM Customers";
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(query, con))
                {
                    con.Open();
                    ddlCustomers.DataSource = cmd.ExecuteReader();
                    ddlCustomers.DataTextField = "CustomerID";
                    ddlCustomers.DataValueField = "CustomerID";
                    ddlCustomers.DataBind();
                    con.Close();
                    ddlCustomers.Items.Insert(0, new ListItem("--Select Customer--", ""));
                }
            }
        }
    }

    protected void OnSelectedIndexChanged(object sender, EventArgs e)
    {
        string customerId = ddlCustomers.SelectedItem.Value;
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        string query = "SELECT Name, Country FROM Customers WHERE CustomerID = @CustomerID";
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                cmd.Parameters.AddWithValue("@CustomerID", customerId);
                con.Open();
                SqlDataReader sdr = cmd.ExecuteReader();
                if (sdr.Read())
                {
                    txtName.Text = sdr["Name"].ToString();
                    lblCountry.Text = sdr["Country"].ToString();
                }                
                con.Close();
            }
        }
    }
}
